function davkove_zpracovani
% soubor pro rychle zpracovani 
cd nntool

neco=dir;
M_target=zeros(6,size(neco)-2);

for i=3:size(neco)
    M_uceni(:,i-2)=load(neco(i).name);
    indexy=find(M_uceni(:,i-2)==ones(30,1));
    new=indexy-min(indexy)+1;
    M_uceni(:,i-2)=0;
    M_uceni(new,i-2)=1;
    nazev=neco(i).name;
    i=i-2;
    switch nazev(1)
        case ('z')   %zacatek zapasu
            M_target(1,i)=1;
        case ('Z')   %zacatek zapasu
            M_target(1,i)=1;
        case ('p')          %polocas
            M_target(2,i)=1;
        case ('k')          %konec zapasu
            M_target(3,i)=1;
        case ('f')          %faul
            M_target(4,i)=1;
        case('o')           %offsajd
            M_target(5,i)=1;
        case('a')    %aut a rozehrani
            M_target(6,i)=1;
        case('r')    %aut a rozehrani
            M_target(6,i)=1;
    end
end
cd ..

